// EngineeringTime.h: interface for the CEngineeringTime class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "EquipState.h"

class CEngineeringTime : public CEquipState
{
public:
    //  default constructor
    CEngineeringTime();

    //  default destructor
    virtual ~CEngineeringTime();

    //  set all equipment state
    void SetEquipState(int iEvt, int iState);

    //  get total equipment time
    LONGLONG GetTotalTime();

    enum
    {
        PROCESS_EXPERIMENTS,
        EQUIPMENTS_EXPERIMENTS,
        SOFTWARE_QUALIFICATION,
        MAX_ENGINEERING_EQUIP_STATE,
    };
};
